#!/bin/sh
#
# $Id: 010.pgsql.sh.in,v 1.4 2000/03/22 14:20:31 henrik Exp $
#
# $FreeBSD: ports/databases/postgresql7/files/pgsql.sh.tmpl,v 1.8 2000/05/25 09:35:25 andreas Exp $
#
# For postmaster startup options, edit $PGDATA/postmaster.opts.default
# Preinstalled options are -i -o "-F"

case $1 in
start)
    [ -d /var/log/pgsql ] || install -d -o pgsql /var/log/pgsql
    [ -d /usr/local/pgsql/lib ] && /sbin/ldconfig -m /usr/local/pgsql/lib
    [ -x /usr/local/pgsql/bin/pg_ctl ] && {
	su -l pgsql -c \
	    'exec /usr/local/pgsql/bin/pg_ctl -w -D /opt/pgsql/data start 2>&1 | /usr/local/sbin/rotatelogs /var/log/pgsql/pgsql 86400 &'
	echo -n ' pgsql'
    }
    ;;

stop)
    [ -x /usr/local/pgsql/bin/pg_ctl ] && {
	su -l pgsql -c 'exec /usr/local/pgsql/bin/pg_ctl -w -D /opt/pgsql/data -m fast stop'
    }
    ;;

status)
    [ -x /usr/local/pgsql/bin/pg_ctl ] && {
	su -l pgsql -c 'exec /usr/local/pgsql/bin/pg_ctl -D /opt/pgsql/data status'
    }
    ;;

*)
    echo "usage: `basename $0` {start|stop|status}" >&2
    exit 64
    ;;
esac
